/*Example 2_3*/
PROC PLAN seed=091015;      /*指定种子值为091015*/
FACTORS rand=384 random;     /*产生变量rand，其值为随机排列的数值1-384 */
OUTPUT out=outa;             /*将随机排列的384个数值输出到数据集outa*/
DATA outb;                    /*建立一个空白的数据集outb*/
SET outa;                        
/*set语句用于两个数据集的连接，实际中常用于将一个数据库的数据导入另一个数据库，该语句表明将数据集outa中的数据导入outb，此时outb中包含rand变量*/
IF rand<=192 THEN group='A';   
ELSE group='B';
/*产生一个新变量group，当随机数在1-192之间时，group赋值为"A"，即分入A组，当随机数在193-384之间时，group赋值为"B"，即分入B组*/
num=_n_;
/*产生新变量num，其值等于数据的顺序号，也即研究对象的1-384的编号*/
PROC PRINT;             /*输出随机数字rand、分组group和研究对象编号num*/
RUN;
